
###############################################################################
#    Stats Webmin Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# used to allow some specific perm
# configure : allow configuration
# runstop   : allow start/stop cron
# adddel    : allow add/delete modules
#
# is used from http://localhost:10000/acl/
# default config in defaultacl file
###############################################################################
use strict;
use warnings;

do '../web-lib.pl';

# from web-lib.pl
use subs qw( &init_config );

init_config();

do 'sysstats-lib.pl';

## no critic (ProhibitPackageVars)
use vars qw( %text $in %in );
## use critic

# from sysstats-lib.pl
use subs qw( &debug_sub_begin &debug_sub_end &checked );

###############################################################################
# acl_security_form(&options)
# Output HTML for editing security options for the Webmin Sysstats module

sub acl_security_form($) {
	my $options = $_[0];

	debug_sub_begin();

	# configure
	begin_row();
	title_row( $text{'acl_opts'} );
	printf "<td><input type=radio name=opts value=1 %s> $text{'yes'}\n",
	  checked( $options->{'configure'} );
	printf "<input type=radio name=opts value=0 %s> $text{'no'}</td>\n",
	  checked( !$options->{'configure'} );
	end_row();

	# runstop
	begin_row();
	title_row( $text{'acl_stop'} );
	printf "<td><input type=radio name=stop value=1 %s> $text{'yes'}\n",
	  checked( $options->{'runstop'} );
	printf "<input type=radio name=stop value=0 %s> $text{'no'}</td>\n",
	  checked( !$options->{'runstop'} );
	end_row();

	# addel
	begin_row();
	title_row( $text{'acl_adddel'} );
	printf "<td><input type=radio name=adddel value=1 %s> $text{'yes'}\n",
	  checked( $options->{'adddel'} );
	printf "<input type=radio name=adddel value=0 %s> $text{'no'}</td>\n",
	  checked( !$options->{'adddel'} );
	end_row();

	debug_sub_end();
	return;
}
###############################################################################

# acl_security_save(&options)
# Parse the form for security options for the sendmail module
sub acl_security_save($) {
	my $options = $_[0];
	debug_sub_begin();

	$options->{'configure'} = $in{'opts'};
	$options->{'runstop'}   = $in{'stop'};
	$options->{'adddel'}    = $in{'adddel'};

	debug_sub_end();
	return;
}
###############################################################################

1;
