#!/usr/bin/env perl
###############################################################################
#    Webmin Sysstats
#    Copyright (C) 2002 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# this script is to modify / force some rrdtools parameters after an upgrade
# to "normalize" values as the code wait for
###############################################################################

use strict;
use warnings;

use FindBin;
use lib "$FindBin::Bin";

use RRDs;

## no critic (RequireBarewordIncludes)
require 'sysstats-aquisition-lib.pl';    # read_file
require 'sysstats-rrd-lib.pl';
require 'sysstats-conf-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
use vars qw(  %config );
## use critic

sub debug_sub_begin() { }
sub debug_sub_end()   { }

######################################################
# main
######################################################

# first argument is now optionnal
my $dir = $ARGV[0] || '/etc/webmin/sysstats';
die "$dir is not a directory\n" if ( !-d $dir );

# all the code is now in sysstats-rrd-lib.pl
check_config($dir);
