#!/usr/bin/perl
###############################################################################
#    Webmin Sysstats
#    Copyright (C) 2002 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# launch check_config (in sysstats-rrd-lib.pl)
# and redirect to log output
###############################################################################

use strict;
use warnings;

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
use vars qw( %gconfig %config %text $module_config_directory $cb $tb %in $in );
## use critic
use subs qw( &debug_sub_begin &debug_sub_end &wrapper &check_config );

wrapper( 'ui_print_header', undef, 'check_config', undef, undef );

wrapper('ReadParse');

if ( exists $in{'idx'} ) {

	my $mod = $in{'idx'};
	if ( is_module_installed($mod) ) {

		# check only one module
		check_config( $module_config_directory, $mod );
	}
	else {
		text_error( 'bad_module_name', $mod );
	}
}
else {

	# check all modules
	check_config($module_config_directory);
}

jredirect('log.cgi');
