#!/usr/bin/perl -w
###############################################################################
#
#    Stats Webmin Module
#    Copyright (C) 2002 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# clear alarm file
###############################################################################

use strict;
use warnings;
use English qw(-no_match_vars);

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %gconfig %config %text $module_config_directory $cb $tb %in $in );

use subs qw( &ui_print_header &text_error &ReadParse );

# from sysstats-lib.pl
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

###############################################################################

debug_sub_begin();
wrapper('ReadParse');

wrapper( 'ui_print_header', undef, 'clear alarm', undef, undef );

if ( exists $in{'idx'} ) {

	# module name with version
	my $module_name = $in{'idx'};
	if ( is_module_installed($module_name) ) {

		# Read module information to find whitch module we are using
		my %minfo = get_sysstats_module_info($module_name);

		print "call clear_alarm.cgi on $module_name";
		clear_alarm( $minfo{'config_dir'} );
	}
	else {
		text_error( 'bad_module_name', $module_name );
	}
}
else {

	# clear all alarms
	my @mod_list = get_mod_list(0);    # all modules
	foreach my $mod (@mod_list) {
		my $config_dir = $mod->{'config_dir'};
		my $is_alarm   = test_perm_alarm($config_dir);
		if ($is_alarm) {
			clear_alarm($config_dir);
		}
	}
}

jredirect('config.cgi');
debug_sub_end();
