#!/usr/bin/perl -w
###############################################################################
#    Webmin Sysstats - debug.cgi
#
#    Stats Webmin Module
#    Copyright (C) 2002 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# call the aquisition script for a module in debug mode
# and display the result
###############################################################################

use strict;
use warnings;
use English qw(-no_match_vars);

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %gconfig %config %text $module_config_directory $cb $tb %in $in );

use subs qw( &ui_print_header &read_file &error &text &tempname );
use subs qw( &ReadParse );

# from sysstats-lib.pl
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

###############################################################################

debug_sub_begin();
wrapper('ReadParse');

#debug_hash( 'display.cgi::%in', %in );

my $module_name = $in{'idx'};
if ( is_module_installed($module_name) ) {

	# Read module information to find whitch module we are using
	my %minfo = get_sysstats_module_info($module_name);

	wrapper( 'ui_print_header', undef, 'debug module ', undef, 'debug_module' );

	print ui_hr();

	# set debug mode
	$ENV{DEBUG_MODE} = 'y';
	my $script = get_module_script($module_name);

	print ui_subheading("start script $minfo{config_dir}$script");
	print ui_hr();
	if ( chdir $minfo{config_dir} ) {

		my $pipe = read_pipe_stream("./$script");
		while ( my $ligne = <$pipe> ) {
			display_html($ligne);
		}
		## no critic (RequireCheckedSyscalls,RequireCheckedClose)
		close $pipe;
	}
	else {
		warning("can not change directory to $minfo{config_dir}");
	}

	my_footer( $in{'idx'} );
}
else {
	text_error( 'bad_module_name', $module_name );
}
debug_sub_end();
