/*
###############################################################################
#    Webmin Sysstats
#    Copyright (C) 2002 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
*/
// box to display dates
var datebox = null;

// set to 1 to debug internal data on graph
// will help compute rrd graph margins 
var debug = 0;
var debugbox =  null;

// ev : event
// img :  image under the mouse
function wbmPosition(ev, img) {  

	// get img id (hour, day ...)
	var id = img.getAttribute('id');

	// coord of top corner of current graph
	var coords = getElementCoords(img);

	// create datebox
	if (!datebox) {
		datebox = createBox('datebox');
	}
	if( ! datebox ) {
		alert("pb create datebox");
	}
	// coord of datebox
	var datebox_x = coords.left + 5;
	var datebox_y = coords.top + 5;

	// debug box
	if ( debug) {
		if (!debugbox) {
			debugbox = createBox('debugbox');
		}
	}
	var debug_x = coords.left + 320;
	var debug_y = coords.top + 5;
	var debug_txt = null;

	// get event for ie and mozilla
  	if(! ev ) {
		ev = window.event;
	}

	// cursor absolute position
	var Xcurs,Ycurs;
	if(ev.pageX || ev.pageY) {
		Xcurs = ev.pageX;
		Ycurs = ev.pageY;
	} else if(ev.clientX || ev.clientY) {
		Xcurs = ev.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
		Ycurs = ev.clientY + document.body.scrollTop + document.documentElement.scrollTop;
	}
	debug_txt = 'Xcurs=' + Xcurs +' Ycurs=' + Ycurs;

	// img margins
	var leftmargin = coords.left;
	var topmargin = coords.top;

	// rrd graph margin
	var rrd_leftmargin = 67;
	var rrd_rightmargin = 30;
	var rrd_topmargin = 32;

	// real graph size
	var w = img.offsetWidth - rrd_leftmargin - rrd_rightmargin;
	debug_txt = debug_txt + ' w=' + w;

	//var h = img.offsetHeight - rrd_topmargin - rrd_bottommargin;
	var h = 250;

	// coord in graphic
	var rel_x = Xcurs - leftmargin - rrd_leftmargin;
	var rel_y = Ycurs - topmargin - rrd_topmargin;
	if (debug) {
		debug_txt = debug_txt + ' rel_x=' + rel_x +' rel_y=' + rel_y;
		writeBox(debugbox, debug_txt, debug_x, debug_y);
	}

	if ( (rel_x > 0) && (rel_x <= w) ){

		// cursor 
		img.style.cursor = 'crosshair';

		// tranlate cursor pos in date
		var sec = getSec(id);
		var rel_s = parseInt((sec - (rel_x * sec / w) ), 10);
		var rel_date = calcDate(rel_s);

		writeBox(datebox, rel_date, datebox_x, datebox_y);
	} else {
		img.style.cursor = 'default';
		clearBox(datebox);
	}
}

// en sortie d'image : efface les infos
function wbmOut(img) {
	clearBox(datebox);
}

// return graph size in seconds
// cf get_rra_param sub in sysstats-rrd-lib.pl
function getSec(type) {
	var sec;
	switch(type) {
		case 'hour' :
			sec= 70*60;
			break;
		case 'day' :
			sec = 2*750*60;
			break;
		case 'week' :
			sec = 15*770*60;
			break;
		case 'month' :
			sec = 60*2200*60;
			break;
		case 'year' :
			sec = 720*730*60;
			break;
		default :
			sec = 0;
			break;
	}
	return sec;
}

// return current date minus offset (in seconds) 
function calcDate(offset) {
	// current date in milliseconds
	var now =  new Date();
	now.setSeconds(0);
	var nows = now.getTime();
	// date with offset 
	var date = new Date();
	date.setTime(nows - offset*1000);
	var txt = dtpFormatDate(date);
	return txt;
}

// display a formatted date 
function dtpFormatDate(date) {
  var MM = dtpPrepend(date.getMinutes());
  var HH = dtpPrepend(date.getHours());
  var dd = dtpPrepend(date.getDate());
  var mm = dtpPrepend(date.getMonth() + 1);
  var yy = date.getFullYear();
  return dd + '.' + mm + '.' + yy + ' ' + HH + ':' + MM;
}

// to have numbers with 2 digits
function dtpPrepend(x) {
  return (x < 10 ? "0" : "") + x;
}
// create a dummy box in absolute position
// which cover the graph when called (superposition)
function createBox(id){
	var box = document.createElement('div');
	box.setAttribute('id', id); 
	box.style.position = 'absolute';
	box.style.opacity = 0.5;
	box.style.filter = 'alpha(opacity=50)';
	box.style.visibility = 'hidden';
	box.innerHTML = '';
	document.body.appendChild(box);
	return box;
}

// write a text in the box
function writeBox(box, txt, x, y) {
	box.innerHTML = txt;
	box.style.visibility = 'visible';
	//box.style.width = '50px';
	box.style.top = y  + 'px';
	//box.style.right = x  + 'px';
	box.style.left = x  + 'px';
}

// clear the content of the box
function clearBox(box) {
	box.style.visibility = 'hidden';
	box.innerHTML = "";
}

// get coords of top left corner of element
function getElementCoords(element) {
    var coords = {left: 0, top: 0};
    
    while (element) {
        coords.left += element.offsetLeft;
        coords.top  += element.offsetTop;
        element      = element.offsetParent;
    }

    return coords;
}
