#!/usr/bin/perl -w
###############################################################################
#    Stats Webmin Module
#    Copyright (C) 2003 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# to empty a module database (rrdtool)
# called from edit_module.cgi
###############################################################################

use strict;
use warnings;
use English qw(-no_match_vars);

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

# from web-lib
## no critic (ProhibitPackageVars)
use vars qw( %text %in %access );
## use critic
use subs qw( &ReadParse );
use subs qw( &error_setup &error &text_error &ui_print_header &text );

# from sysstat-lib
use subs qw( &debug_sub_begin &debug_sub_end );

debug_sub_begin();
wrapper( 'ui_print_header', undef, $text{'empty_title'}, undef, 'empty' );
ReadParse();

error_setup( $text{'empty_err'} );

$access{'configure'} or text_error('empty_ecannot');

if ( !$in{'idx'} ) {
	jredirect('config.cgi');
}

my %minfo = get_sysstats_module_info( $in{'idx'} );

if ( $in{'cancel'} ) {
	jredirect("edit_module.cgi?idx=$in{'idx'} ");
}
elsif ( $in{'confirm'} ) {

	# ok (confirmed) : so really empty
	empty_module( $minfo{'dbtables'} );

	print ui_hr();
	print $text{'empty_msg'}, "<p>\n";
	print "<ul>\n";

	my $pwd = getcwd();
	$pwd .= $minfo{'mod_dir'};

	print text( 'empty_desc', html_strong( $minfo{'module_name'} ),
		"<tt>$pwd</tt>" );
	print "</ul><p>\n";
}
else {

	# first ask to confirm
	print ui_hr();
	print wrapper( 'ui_form_start', basename($PROGRAM_NAME) );
	print wrapper( 'ui_hidden', 'idx', $in{'idx'} );
	my $desc = html_strong( $minfo{'module_name'} );

	print text( 'empty_rusure', $desc );
	print wrapper( 'ui_form_end',
		[ [ 'confirm', $text{word_empty} ], [ 'cancel', $text{'cancel'} ] ] );
}

my_footer( $in{'idx'} );
debug_sub_end();
