#!/usr/bin/perl -w
###############################################################################
#    Stats Webmin Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# allow a module install/upgrade
# this part only display interface, and call install_mod_p2.cgi to apply changes
# this code is inspired from webmin code : webmin/edit_mods.cgi
###############################################################################

use strict;
use warnings;

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

# from web-lib.pl
use subs
  qw( &ReadParse &error &text_error &ui_print_header &file_chooser_button );
## no critic (ProhibitPackageVars)
use vars qw( %gconfig %config %text $module_config_directory $cb $tb %in );

# from sysstats-lib.pl
use vars qw( %access );
## use critic
use subs qw(&debug _sub_begin &debug_sub_end);

debug_sub_begin();

wrapper('ReadParse');

$access{'adddel'} or text_error('install_ecannot');

wrapper( 'ui_print_header', undef, $text{'install_mod_title'},
	EMPTY(), 'install' );

print ui_hr();

my $option = ( $in{'upgrade'} ) ? '?upgrade=1' : EMPTY();
print wrapper( 'ui_form_start', "install_mod_p2.cgi$option", 'form-data' );
print wrapper( 'ui_table_start', $text{'mods_install'}, undef, 2 );

my $fsize = 60;
print wrapper(
	'ui_table_row',
	$text{'install_mod_title'},
	wrapper(
		'ui_radio_table',
		'source', 0,
		[
			# local file (on server)
			[
				0,
				$text{'install_mod_local'},
				wrapper( 'ui_textbox', 'file', undef, $fsize ) . q{ }
				  . wrapper( 'file_chooser_button', 'file', 0 )
			],

			# download file (client)
			[
				1,
				$text{'install_mod_uploaded'},
				wrapper( 'ui_upload', 'upload', $fsize )
			],

			# ftp / url
			[
				2,
				$text{'install_mod_url'},
				wrapper( 'ui_textbox', 'url', undef, $fsize )
			],
		]
	  )

);

print wrapper('ui_table_end');
print wrapper( 'ui_form_end',
	[ [ 'confirm', $text{'install_mod_installok'} ] ] );

my_footer();
debug_sub_end();
