
###############################################################################
#    Stats Webmin Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# is used from http://localhost:10000/webminlog/
# to translate log in human messages
###############################################################################
use strict;
use warnings;

# Functions for parsing this module's logs

do '../web-lib.pl';

use subs qw( &text &html_escape);
## no critic (ProhibitPackageVars)
use vars qw( %text );
## use critic

# parse_webmin_log(user, script, action, type, object, &params)
# Converts logged information from this module into human-readable form
sub parse_webmin_log($$$$$$) {
	my ( $user, $script, $action, $type, $object, $p ) = @_;

	$object = html_escape($object);

	# actions used in webminstat's code in webmin_log sub calls

	## no critic (ProhibitCascadingIfElse)
	if ( $action eq 'update' ) {
		return text( 'log_update', "<tt>$object</tt>" );
	}
	elsif ( $action eq 'install' ) {
		return text( 'log_install', "<tt>$object</tt>" );
	}
	elsif ( $action eq 'delete' ) {
		return text( 'log_delete', "<tt>$object</tt>" );
	}
	elsif ( $action eq 'start' ) {
		return $text{'log_start'};
	}
	elsif ( $action eq 'stop' ) {
		return $text{'log_stop'};
	}
	else {
		return;
	}
	## use critic
}
###############################################################################
1;
