#!/usr/bin/perl -w
###############################################################################
#    Stats - start.cgi
#
#    Webmin Sysstats Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# navigation will redirect to the wanted display
# is called from navigation sub (sysstats-web-lib)
###############################################################################

use strict;
use warnings;

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %text %in );
use subs qw(&error &redirect);

# from sysstats-lib.pl
use vars qw( %access );
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

debug_sub_begin();

wrapper('ReadParse');

my $module_name = $in{'idx'};
my $cgi         = $in{'cgi'};

# list of authorized cgi call
my %authorized = (
	display        => 1,
	display_custom => 1,
	edit_module    => 1,
	config_action  => 1,
);
if ( exists $authorized{$cgi} ) {

	my $url = "$cgi.cgi?idx=$module_name";
	if ( $module_name =~ m/^network/ ) {

		# a special case is with network module : it needs an extra argument
		if ( $cgi =~ m/display/ ) {
			$url .= '&opt=display1';
		}
	}

	# options (cf navigation sub in sysstats-web-lib.pl)
	if ( exists $in{'opt'} ) {
		$url .= $in{'opt'};
	}
	myredirect($url);
}
else {
	error("call of cgi $cgi is not allowed");
}

debug_sub_end();
