#!/usr/bin/env perl
# perlpath.pl is a copy webmin code
# with a minor change in regex to allow search line as
# /usr/bin/env perl
# to be used from shebang.sh
# syntax echo $list | perl perlpath.pl -

use strict;
use warnings;

## no critic(RequireCheckedSyscalls, RequireCheckedClose, ProhibitPunctuationVars)
my $ppath = $ARGV[0];
my @files;
if ( $ARGV[1] eq q{-} ) {
	## no critic (ProhibitExplicitStdin)
	@files = <STDIN>;
	chop @files;
}
else {
	# Get files from command line
	shift @ARGV;    # skip ppath
	@files = @ARGV;
}

foreach my $f (@files) {
	if ( open my $fh_in, '<', $f ) {
		my @lines = <$fh_in>;
		close $fh_in;
		if ( $lines[0] =~ /^#!\/.*perl\S*(.*)/ ) {
			if ( open my $fh_out, '>', $f ) {
				print {$fh_out} "#!$ppath$1\n";
				shift @lines;
				foreach (@lines) {
					print {$fh_out} $_;
				}
				close $fh_out;
				print "rewrite shebang $f ok\n";
			}
			else {
				warn "problem to rewrite $f : $!\n";
			}
		}
		else {
			print "$f : no shebang\n";
		}
	}
	else {
		warn "problem to read $f :$!\n";
	}
}

