
###############################################################################
#
#    Webmin Sysstats Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# to be called when the module is installed
# (see webmin documentation)
###############################################################################

use strict;
use warnings;
use English qw(-no_match_vars);
use Cwd;    # getcwd

$WARNING = 0;
## no critic (RequireBarewordIncludes)
require 'sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %text %in );
use subs qw(&error &terror &redirect );

# from sysstats-lib.pl
use vars qw( %access );
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

sub module_install() {

	# save current directory
	my $pwd = getcwd();

	# change directory to webminstats
	my $path = dirname(__FILE__);
	chdir $path;

	# install webminstat's modules
	check_new_modules();

	# re-clone modules
	re_clone();

	# restore current directory
	chdir $pwd;

	return;
}
##########################################################
1;
