#!/usr/bin/perl -w
###############################################################################
#    Stats - save_config.cgi
#
#    Webmin Sysstats Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# save module configuration
# called from each module mod_config sub
###############################################################################

use strict;
use warnings;

use English '-no_match_vars';

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use subs qw(&error &text_error &text &redirect );
use vars qw( %text %in $in );

# from sysstats-lib.pl
use subs qw( &debug_sub_begin &debug_sub_end );
use vars qw( %access );
## use critic

debug_sub_begin();

ReadParse();

# just a dummy page, necessary in case of errors
wrapper( 'ui_print_header', undef, 'save_config', EMPTY(), EMPTY() );

#debug_hash( 'save_config.cgi::%in', %in );

$access{'configure'} or text_error('configure_ecannot');

my $module_name = $in{'idx'};
my ( %my_config, %defaults );
my %minfo = read_module_conf( $module_name, \%text, \%my_config, \%defaults );

# load module code
eval { require $minfo{'mod_lib'} };
if ($EVAL_ERROR) {
	warning("can not find perl lib $minfo{'mod_lib'} : $EVAL_ERROR");
}
else {
	debug("require $minfo{'mod_lib'} ok");

	# cf change_display sub in sysstats-web-lib.pl
	if ( exists $in{'clean'} ) {

		my $nb_delete = clean_display( \%my_config );
		if ($nb_delete) {

			# save config
			write_config( \%minfo, \%my_config );
		}

	}
	else {

		#info ("classic save config");

		# call module specific code
		mod_config_save( \%minfo, \%my_config, \%defaults );
	}
}

jredirect("edit_module.cgi?idx=$in{'idx'}");
debug_sub_end();
