#/bin/sh
# to be written in bourne shell syntaxe
# used to adapt shebang in perl script
# for non-linux : ex bsd
# because /usr/bin/env perl syntax does not
# seems to work in webmin

# get sysstats directory
orig_sys=`dirname $0`

# get webmin directory
orig_webmin="$orig_sys/.."

# get perl path
# assume webmin is already good, so webmin perlpath.pl ok
perl_ex="$orig_webmin/perlpath.pl"
if [ ! -f $perl_ex ]
then
	echo "can not find perlpath.pl in $orig_webmin"
	exit 1
fi
perlpath=` head -n 1 $perl_ex | sed 's/#!//' `

# get list of perl scripts to be changed
list1=` ls $orig_sys/*.cgi`
list2=` ls $orig_sys/*.pl`

# because sed syntax is not the same everywhere
# and because webmin perlpath.pl is almost good
# so use my own code, which is nearby copy of webmin one
echo "$list1" | $perlpath $orig_sys/perlpath.pl $perlpath -
echo "$list2" | $perlpath $orig_sys/perlpath.pl $perlpath -
