#!/usr/bin/perl -w
###############################################################################
#
#    Stats Webmin Module
#    Copyright (C) 2002 by Eric Gerbier
#    Bug reports to: gerbier@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# display the module configuration file
###############################################################################

use strict;
use warnings;
use English qw(-no_match_vars);

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %gconfig %config %text $module_config_directory $cb $tb %in $in );

use subs qw( &ui_print_header &read_file &error &text &tempname );
use subs qw( &ReadParse );

# from sysstats-lib.pl
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

###############################################################################

debug_sub_begin();
wrapper('ReadParse');

#debug_hash( 'display.cgi::%in', %in );

# module name
my $module_name = $in{'idx'};

# Read module information to find whitch module we are using
my %minfo = get_sysstats_module_info($module_name);

wrapper( 'ui_print_header', undef, 'module config', undef, undef );
print ui_hr();

# config file is
my $configfile = $minfo{config_dir} . 'config';

my $r_tab = read_full_file($configfile);
my $text = join q{}, @{$r_tab};
print wrapper( 'ui_textarea', 'config', $text, 30, 80 );

my_footer( $in{'idx'} );
debug_sub_end();
