#!/usr/bin/perl -w
###############################################################################
#
#    Webmin Sysstats Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# snapshot will save the image of the given module to /tmp
###############################################################################

use strict;
use warnings;

## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %text %in %config);
use subs qw(&error &redirect);

# from sysstats-lib.pl
use vars qw( %access );
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

debug_sub_begin();
wrapper( 'ui_print_header', undef, $text{'module_snapshot'},
	EMPTY(), 'snapshot' );

wrapper('ReadParse');
my $module_name = $in{'idx'};

#search for images on graphs directory
my @images = get_file_names( './graphs', $module_name . '_*.png' );

# get current date
my $now = strftime( '%Y%m%d%H', localtime );

my $nb = 0;
foreach my $image (@images) {

	if ( $image =~ m/_(\w+).png/ ) {    # exemple : cpu-0.15.6_day.png
		my $period = $1;                # hour, day, week, month, year

		# will be : /tmp/cpu-2008012115.day.png
		my $snapshot_dir =
		  ( -d $config{'snapshot_dir'} ) ? $config{'snapshot_dir'} : '/tmp';
		my $dest =
		    $snapshot_dir
		  . SLASH()
		  . $module_name
		  . DASH()
		  . $now
		  . DOT()
		  . $period . '.png';
		## use critic

		print "copy $image to $dest<br>\n";

		# use File:Copy
		my_copy( $image, $dest, 'snapshot' );

		$nb++;
	}
}
if ( !$nb ) {
	print $text{'snapshot_cache'} . '<br>';
}

my_footer( $in{'idx'} );
debug_sub_end();
