#!/usr/bin/perl -w
###############################################################################
#    Stats - start.cgi
#
#    Webmin Sysstats Module
#    Copyright (C) 2001 by David Bouius
#    Bug reports to: gerbier@sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################
# start or stop cron aquisition
# (called from index.cgi button)
###############################################################################

use strict;
use warnings;
## no critic (RequireBarewordIncludes)
require './sysstats-lib.pl';
## use critic

## no critic (ProhibitPackageVars)
# from web-lib.pl
use vars qw( %text %in );
use subs qw(&error &text_error &redirect );

# from sysstats-lib.pl
use vars qw( %access );
use subs qw( &debug_sub_begin &debug_sub_end );
## use critic

debug_sub_begin();

# test permissions
$access{'runstop'} or text_error('startstop_ecannot');

wrapper('ReadParse');

if ( $in{'idx'} eq 'start' ) {
	error_setup( $text{'start_efailed'} );
	start_sysstats();
}
elsif ( $in{'idx'} eq 'stop' ) {
	error_setup( $text{'stop_efailed'} );
	stop_sysstats();
}
else {
	text_error('startstop_ebadcmd');
}

myredirect('index.cgi');
debug_sub_end();
